Page MenuHomeFreeBSD

Add devel/qca-legacy and Uses/qca.mk to depend on a qca version
ClosedPublic

Authored by tcberner on Mar 12 2020, 5:55 PM.

Details

Summary

The new release of qca (2.3) no longer supports ossl < 1.1.
FreeBSD < 120084 still ships that version in base.

  • Copy devel/qca to devel/qca-legacy
  • Update devel/qca to 2.3
  • Switch ports from LIB_DEPENDS=libqca:devel/qtca to USES=qca which pick devel/qca or devel/qca-legacy depending on OS-version

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Mar 12 2020, 5:55 PM
Herald added a subscriber: mat. · View Herald Transcript
arrowd added a subscriber: arrowd.Mar 12 2020, 6:00 PM
arrowd added inline comments.
Mk/Uses/qca.mk
13 ↗(On Diff #69428)

How about adding

.if !empty(cargo_ARGS)
IGNORE+=	USES=cargo takes no arguments
.endif

there?

I'm not completely sure what is it for, but other frameworks do this.

tcberner updated this revision to Diff 69429.Mar 12 2020, 6:07 PM

Add warning about qca not taking arguments as suggested by @arrowd

tcberner updated this revision to Diff 69497.Mar 14 2020, 2:53 PM

Update patch

tcberner updated this revision to Diff 69498.Mar 14 2020, 2:57 PM

Fix pkgname

tcberner updated this revision to Diff 69499.Mar 14 2020, 3:02 PM

Add updating

tcberner updated this revision to Diff 69500.Mar 14 2020, 3:03 PM

Remove typo fairy's magic.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 21 2020, 7:24 AM
Closed by commit rP528829: devel/qca: update to 2.3 (authored by tcberner). · Explain Why
This revision was automatically updated to reflect the committed changes.